#!/bin/bash
git reset --hard && \
{
    git apply ~/Downloads/v4-0001-Extend-mul_var_short-to-5-and-6-digit-inputs.patch && \
    git apply ~/Downloads/v4-0002-Optimise-numeric-multiplication-using-base-NBASE-.patch && \
    patch -p1 <  ~/numeric_mul_rscale.patch && \
    pg_ctl stop ; \
    rm -rf "$PGDATA" ; \
    make clean && \
    make -j33 && \
    make install && \
    initdb && \
    pg_ctl -l logfile start && \
    createdb "$USER"
} &>/dev/null && \
psql -f test-mul_var-verify.sql
